%define compile_apidox 1
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define _disable_final 1

%define lib_name_orig libkdevelop
%define major 3
%define old_lib_major 2
%define old_lib_name %mklibname kdevelop %old_lib_major
%define libname %mklibname kdevelop %{major}
%define develname %mklibname %{name} -d

Name:		kdevelop
Summary:	Integrated Development Environment for C++/C
Version:	3.5.4
%define subrel  1
Release:	%mkrel 1
Epoch:		4
URL:		http://www.kdevelop.org/
Source:		ftp://ftp.kde.org/pub/kde/stable/apps/KDE3.x/ide/%name-%version.tar.bz2
Source1:	c_cpp_reference-2.0.2.tar.bz2
Source2:	kdevelop-3.0-Makefile.PL
Patch0:		kdevelop-3.2.1-stdcppfix.patch
Group:		Development/C++
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
BuildRequires:	kdelibs-devel >= 3.2-13mdk
BuildRequires:	kdelibs-devel-doc 
BuildRequires:	libjpeg-devel
BuildRequires:	png-devel 
BuildRequires:	X11-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	flex
BuildRequires:	graphviz
BuildRequires:	qt3-doc
BuildRequires:	db-devel
BuildRequires:	subversion-devel
BuildRequires:	apr-devel
BuildRequires:	apr-util-devel
%if %compile_apidox
BuildRequires:	doxygen
%endif
%py_requires -d
Requires:	enscript 
Requires:	gcc-c++ 
Requires:	gcc-cpp 
Requires:	openssl-devel
Requires:	kdelibs-devel 
Requires:	tidy
Requires:	make 
Requires:	perl 
Requires:	sgml-tools 
Requires:	gettext 
Requires:	libz-devel
Requires:	kdbg  
Requires:	ctags
Requires:	libtool
Requires:	automake
Requires:	autoconf
Requires:       cmake
Requires:	awk
Requires:	%{libname} = %epoch:%version-%release
Requires:	doxygen
Requires:	graphviz
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Conflicts:	mandrake-mime <= 0.4-5mdk

%description
The KDevelop Integrated Development Environment provides many features that
developers need as well as providing a unified interface to programs like gdb,
the C/C++ compiler, and make.

KDevelop manages or provides:
   * All development tools needed for C++ programming like Compiler, Linker,
     automake and autoconf
   * KAppWizard, which generates complete, ready-to-go sample applications
   * Classgenerator, for creating new classes and integrating them into the
     current project
   * File management for sources, headers, documentation etc. to be included in
     the project
   * The creation of User-Handbooks written with SGML and the automatic
     generation of HTML-output with the KDE look and feel
   * Automatic HTML-based API-documentation for your project's classes with
     cross-references to the used libraries; Internationalization support for
     your application, allowing translators to easily add their target language
     to a project
   * WYSIWYG (What you see is what you get) creation of user interfaces with a
     built-in dialog editor
   * Debugging your application by integrating KDbg
   * Editing of project-specific pixmaps with KIconEdit
   * The inclusion of any other program you need for development by adding it
     to the "Tools" menu according to your individual needs.

%if %mdkversion < 200900
%post
%update_menus
%{update_desktop_database}
%update_icon_cache crystalsvg
%endif


%if %mdkversion < 200900
%postun
%clean_menus
%{clean_desktop_database}
%clean_icon_cache crystalsvg
%endif

%files
%defattr(-,root,root) 
%_kde3_bindir/*
%_kde3_datadir/applications/kde/*
%_kde3_libdir/kde3/*
%_kde3_appsdir/*
%_kde3_datadir/desktop-directories/kde-development-kdevelop.directory
%_kde3_datadir/icons/*/*/*/*
%_kde3_datadir/config/kdeveloprc
%_kde3_datadir/mimelnk/*/*.desktop
%_kde3_datadir/services/*
%_kde3_datadir/servicetypes/*
%_kde3_libdir/kconf_update_bin/kdev-gen-settings-kconf_update
%_kde3_datadir/config/kdevassistantrc
# Provided by kdelibs
%exclude %_kde3_datadir/mimelnk/text/x-fortran.desktop

#------------------------------------------------

%package -n %{develname}
Summary:	Development files for kdevelop
Group:		Development/KDE and Qt

Obsoletes:	kdevelop-devel, %old_lib_name-devel
Provides:	kdevelop-devel = %epoch:%version-%release
Requires:	%{libname} = %epoch:%version-%release
Obsoletes:	%mklibname %{name} 3 -d

%description -n %{develname}
Development files for kdevelop.

%files -n %{develname}
%defattr(-,root,root)
%_kde3_libdir/*.so
%dir %_kde3_includedir/kdevelop
%dir %_kde3_includedir/kinterfacedesigner
%_kde3_includedir/*/*

#------------------------------------------------

%package -n %{libname}
Summary:	Libraries files for kdevelop
Group:		Development/KDE and Qt
Obsoletes:	%old_lib_name
Provides:	%{libname}_orig = %epoch:%version-%release

%description -n %{libname}
Libraries files for kdevelop.

%if %mdkversion < 200900
%post -n %{develname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{develname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
%_kde3_libdir/*.la
%_kde3_libdir/*.so.*


#------------------------------------------------

%package doc
Summary: Development files for kdevelop
Group: Development/KDE and Qt

%description doc
Documentation kdevelop.

%files doc
%defattr(-,root,root)
%dir %_kde3_docdir/HTML/en/kdevelop
%_kde3_docdir/HTML/en/kdevelop/*
%dir %_kde3_docdir/HTML/en/kde_app_devel
%_kde3_docdir/HTML/en/kde_app_devel/*
%doc %_kde3_docdir/HTML/en/kdevelop-apidocs

#------------------------------------------------

%prep
%setup -q 
%patch0 -p1 -b .stdcpp

%build
export QTDIR=%{qt3dir}
QTDOCDIR=%_defaultdocdir/qt-*/doc/html

%configure_kde3 \
        --with-qtdoc-dir=$QTDOCDIR \
        --enable-scripting \
        --with-apr-config=%_bindir/apr-1-config \
        --with-apu-config=%_bindir/apu-1-config \
	--with-svn-include=%_includedir/subversion-1 \
        --with-kdelibsdoc-dir=%_kde3_docdir/HTML/en/ 

make
%if %compile_apidox
%make apidox
%endif

%install
rm -fr %buildroot

%makeinstall_std

(
cd %{buildroot}/%name-%version/
rm -rf perl-kdevelop
mkdir perl-kdevelop/
cd perl-kdevelop/
install -m 0755 %SOURCE2 Makefile.PL
ln ../parts/appwizard/common/kdevelop.pm kdevelop.pm
perl Makefile.PL INSTALLDIRS=vendor
make install DESTDIR=%buildroot
)

%clean
rm -fr %buildroot




%changelog
* Mon Apr 27 2009 Nicolas Lécureuil <neoclust@mandriva.org> 4:3.5.4-1.1mdv2009.0
+ Revision: 369043
- Update to the latest kdevelop 3.5 release

* Wed Nov 26 2008 Security Team <security@mandriva.com> 4:3.5.3-2.1mdv2009.0
+ Revision: 306878
- + Revision: 304935
  declare correct svn include dir to enable svn features (bug #45868)

  + Funda Wang <fundawang@mandriva.org>
    - declare correct svn include dir to enable svn features (bug #45868)

  + root <root>
    - Branching 2009.0 release for updates.

* Thu Oct 02 2008 Helio Chissini de Castro <helio@mandriva.com> 4:3.5.3-2mdv2009.0
+ Revision: 290917
- Kdevelop in main don't need explicitly kdesdk, so wecan move it to contrib

  + Funda Wang <fundawang@mandriva.org>
    - drop kdesdk BR as it will be moved to contrib

* Fri Aug 29 2008 Helio Chissini de Castro <helio@mandriva.com> 4:3.5.3-1mdv2009.0
+ Revision: 277237
- Latest kde 3 upstream package

* Fri Aug 15 2008 Funda Wang <fundawang@mandriva.org> 4:3.5.2-3mdv2009.0
+ Revision: 272220
- kdesdk3 does not exist any more
- fix apr and svn prefix
- more patch
- add underlinking patch (draft)
- New version 3.5.2

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Be sure that translation package is installed

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Anssi Hannula <anssi@mandriva.org>
    - finish Funda's fix-underlinking.patch
    - regenerate Makefile.in files instead of patching them as well

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 07 2008 Helio Chissini de Castro <helio@mandriva.com> 4:3.5.1-4mdv2009.0
+ Revision: 203753
- Move to /opt

* Tue Mar 04 2008 Helio Chissini de Castro <helio@mandriva.com> 4:3.5.1-3mdv2008.1
+ Revision: 178767
- Roemoved old patch and added branch official one for output corrections
- Added post 3.5.1 branch fixes

* Wed Feb 27 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.5.1-2mdv2008.1
+ Revision: 175939
- [BUGFIX] Fix displaying make outputs (Bug #38145)

* Fri Feb 15 2008 Helio Chissini de Castro <helio@mandriva.com> 3:3.5.1-1mdv2008.1
+ Revision: 169036
- Update for KDE 3.5.9. Last one

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 30 2007 Funda Wang <fundawang@mandriva.org> 3:3.5.0-2mdv2008.1
+ Revision: 139420
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 12 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.5.0-1mdv2008.1
+ Revision: 108323
- Fix and add Requires
- [BUGFIX] Use correct URL (Bug #33212)

  + Funda Wang <fundawang@mandriva.org>
    - New version 3.5.0

* Wed Sep 05 2007 Helio Chissini de Castro <helio@mandriva.com> 3:3.4.1-5mdv2008.0
+ Revision: 80205
- Since we're got lots of updates on kdevelop,  we decided go with stable branch.

* Tue Aug 14 2007 Helio Chissini de Castro <helio@mandriva.com> 3:3.4.1-4mdv2008.0
+ Revision: 63485
- Update admin template
- Exclude conflicting mimetype

* Sun Jun 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3:3.4.1-2mdv2008.0
+ Revision: 43720
- rebuild for expat
- new devel library policy
- spec file clean

* Thu May 17 2007 Helio Chissini de Castro <helio@mandriva.com> 3:3.4.1-1mdv2008.0
+ Revision: 27532
- 3.4.1 release


* Thu Jan 25 2007 Laurent Montel <lmontel@mandriva.com> 3.4.0-1mdv2007.0
+ Revision: 113118
- 3.4.0

* Mon Dec 04 2006 Laurent Montel <lmontel@mandriva.com> 3:3.3.5-2mdv2007.1
+ Revision: 90475
- Rebuild against new python

* Sat Nov 04 2006 Laurent Montel <lmontel@mandriva.com> 3:3.3.5-1mdv2007.1
+ Revision: 76618
- 3.3.5
- New release (2006/08/04 3.3.4-1mdv)

  + Helio Chissini de Castro <helio@mandriva.com>
    - Updated for latest official kde 3.5.4 release

* Tue Jul 25 2006 Helio Chissini de Castro <helio@mandriva.com> 3:3.3.3-3mdv2007.0
+ Revision: 42033
- Removed unused patches
- Added branch tarball until 3.3.4 is made available
- Fixed subversion/apt/apu compilation. Now subversion works
- Fixed admin template issue. Now admin from 3.5.x is used on newly KDE projects
  created.
- Removed debug and enable final for compilation
- We are Mandriva now
- Fiz typo on %%patch
- Fixed build. Some strange combination in %%configure macro make construction
  on some cpp link break without any notice.
- Added patch for non standard cpp header flaw.
- Imported to subversion
- Updated for 3.2.1
- Removed all old broken patches
- Added remove blacklist patch to avoid gcc test agains gcc 4.0.0 mdk version
- Added pthread patch to link with internal bdb, and avoid problems associted,
  including wrong install on system conflicting with libdb42-static-devel and
  causing system to became unstable if some app linked agains libdb.a whith
  previous kdevelop installed. This fix code completion generation.
- Redesigned and clean entire spec file, creating new doc subpackage
- Added 3.2.0 original current spec before update to 3.2.1
- Uploading package ./kdevelop

  + Laurent Montel <lmontel@mandriva.com>
    - Disable debug
    - 3.3.3
    - Rebuild against new xorg
    - Rebuild to generate category
    - 3.3.2
    - 3.3.1
    - Activate debug for cooker only
      MDK9.2 is obsolete now
    - Add missing buildrequires found by Christiaan Welvaart
    - Real kdevelop 3.3.0
    - 3.3.0 (named rc1)
    - Fix typo
      * Wed Nov 02 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.5-3mdk
    - Rebuild with new mysql
      * Thu Oct 27 2005 Helio Chissini de Castro <helio@mandriva.com> 3.3.5-2mdk
    - New immodule patch
    - 3.2.92
    - Rebuild
    - Fix compile on x86_64
    - Update source
    - 3.2.2
    - Fix typo
    - Fix buildrequires now that we have qt3-static-devel
    - Fix spec file

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Tue Apr 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.0-2mdk
- Rebuild with debug
- Use --enable-new-ldflags

* Tue Apr 05 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.0-1mdk
- 3.2.0

* Mon Mar 21 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1.2-11mdk
- fix build on lib64 platforms
- build internal bdb static lib with PIC as it is linked into a DSO

* Tue Feb 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-10mdk
- Add patch22: fix mdk bug #13873 "URL has changed for ClanLib doc"

* Sun Feb 13 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-9mdk
- Remove conflict on .h

* Fri Feb 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-8mdk
- Remove conflict

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-7mdk
- Disable debug

* Sat Jan 29 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Fix generate menu

* Sat Jan 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-5mdk
- Add graphviz add requires

* Wed Jan 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Rebuild

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Add patch19: fix compile with python2.4 (patch commited into kde cvs and kde 3.3 branch)

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- Fix menu

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Fri Nov 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-5mdk
- Sync with CVS

* Mon Nov 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-4mdk
- Rebuild with new perl

* Wed Oct 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-3mdk
- %%buildfor

* Tue Oct 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Deprecated mdk < 9.2

* Sat Oct 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.3.1

* Sat Sep 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-1mdk
- 3.1.0

* Thu Aug 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-13mdk
- Fix menu

* Sat Aug 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-12mdk
- Rebuild with new menu translation table

* Tue Aug 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-11mdk
- Remove debug

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-10mdk
- Add buildrequires

* Wed Jul 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-9mdk
- Fix spec file:

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-8mdk
- Add patch18: remove rpath (patch from gb)

* Tue Jul 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-7mdk
- Add patch16: fix kde bug #73420 "Do not allow to add the same file twice."
- Add patch17: fix potential crash into autoproject

* Wed Jul 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-6mdk
- Fix configure

* Sat Jul 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-5mdk
- Add patch15: fix import version

* Sat Jul 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-4mdk
- Add requires doxygen to generate doc into kdevelop project
- Add patch14: fix import spec file

* Fri Jul 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-3mdk
- Generate doc

* Wed Jul 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-2mdk
- Rebuild with new kdelibs

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Sat May 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Apply patch send by Nick Brown <nickbroon@blueyonder.co.uk>

* Sat May 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Sync with CVS

* Thu May 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch13: fix crash #9809

* Thu May 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Rebuild "enable-debug"

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- 3.0.3

* Wed Apr 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Fix spec file to using rpmbuildupdate

* Sat Apr 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- 3.0.2

* Fri Apr 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-12mdk
- Fix anthill bug #463 (requires autoconf2.5)

* Wed Mar 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-11mdk
- use %%configure
- use mdkversion

* Tue Mar 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-10mdk
- Fix compile under amd64 (Gb patch)

* Wed Mar 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-9mdk
- Add requires libtool bug #8973 (otherwise we can't compile project)

* Fri Mar 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-8mdk
- Fix install kdevelop.pm (thanks Titi)

* Mon Mar 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-7mdk
- Add patch13: "Remove redundent space in output message when reporting gdb and path see #74133"
- Add patch14: fix crash into kfileselector

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-6mdk
- Sync with CVS

* Fri Feb 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-5mdk
- Sync with CVS
- Fix epoch

* Wed Feb 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-4mdk
- Sync with CV

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-3mdk
- Sync with CVS
- Build with good kdelibs (kdedesktop2mdkmenu.pl)

* Thu Feb 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-2mdk
- Sync with CVS

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-1mdk
- Fix distint

* Tue Feb 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-1mdk
- 3.0.0

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.2mdk
- Sync with CVS

* Fri Jan 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.1mdk
- Sync with CVS

* Wed Jan 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.rc1.2mdk
- Sync with CVS

